using MessagePack;
using System.Text.Json.Serialization;

namespace SVSim.EmulatedEntrypoint.Models.Dtos;

[MessagePackObject]
public class DailyLoginBonus
{
    [JsonPropertyName("total")]
    [Key("total")]
    public LoginBonusCampaign? Total { get; set; }
    [JsonPropertyName("normal")]
    [Key("normal")]
    public LoginBonusCampaign? Normal { get; set; }
    [JsonPropertyName("campaign")]
    [Key("campaign")]
    public LoginBonusCampaign? Campaign { get; set; }
}